<?php

function videos_custom_post() {
	$labels = array(
		'name'               => _x( 'مكتبة الفيديو', 'post type general name' ),
		'singular_name'      => _x( 'مكتبة الفيديو', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'videos' ),
		'add_new_item'       => __( 'أضف فيديو جديد' ),
		'edit_item'          => __( 'تعديل فيديو' ),
		'new_item'           => __( 'فيديو جديد' ),
		'all_items'          => __( 'كل مكتبة الفيديو' ),
		'view_item'          => __( 'عرض مكتبة الفيديو' ),
		'search_items'       => __( 'البحث في مكتبة الفيديو' ),
		'not_found'          => __( 'لا يوجد فيديو' ),
		'not_found_in_trash' => __( 'لا يوجد فيديوهات في فيديوهات المهملات' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'مكتبة الفيديو'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
		'exclude_from_search'   => false,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false
	);
	register_post_type( 'videos', $args );	
}
add_action( 'init', 'videos_custom_post' );

function videos_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['videos'] = array(
		0 => '', 
		1 => sprintf( __('تم التحديث. <a href="%s">عرض الفيديو</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث الفيديو.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة الفيديو، من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض الفيديو</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ الفيديو.'),
		8 => sprintf( __('تم ارسال الفيديو. <a target="_blank" href="%s">عرض الفيديو</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ الفيديو للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض الفيديو</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث الفيديو كمسوده. <a target="_blank" href="%s">عرض الفيديو</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'videos_post_updated_messages', 'videos_updated_messages' );

?>