<?php

function clients_custom_post() {
	$labels = array(
		'name'               => _x( 'العملاء', 'post type general name' ),
		'singular_name'      => _x( 'العملاء', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'clients' ),
		'add_new_item'       => __( 'أضف عميل جديد' ),
		'edit_item'          => __( 'تعديل عميل' ),
		'new_item'           => __( 'عميل جديد' ),
		'all_items'          => __( 'كل العملاء' ),
		'view_item'          => __( 'عرض العملاء' ),
		'search_items'       => __( 'البحث في العملاء' ),
		'not_found'          => __( 'لا يوجد عميل' ),
		'not_found_in_trash' => __( 'لا يوجد عملاء في سلة المهملات' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'العملاء'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
		'exclude_from_search'   => false,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false
	);
	register_post_type( 'clients', $args );	
}
add_action( 'init', 'clients_custom_post' );

function clients_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['clients'] = array(
		0 => '', 
		1 => sprintf( __('تم التحديث. <a href="%s">عرض العميل</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث العميل.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة العميل، من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض العميل</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ العميل.'),
		8 => sprintf( __('تم ارسال العميل. <a target="_blank" href="%s">عرض العميل</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ العميل للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض العميل</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث العميل كمسوده. <a target="_blank" href="%s">عرض العميل</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'clients_post_updated_messages', 'clients_updated_messages' );


?>