<?php

function news_custom_post() {
	$labels = array(
		'name'               => _x( 'الأخبار', 'post type general name' ),
		'singular_name'      => _x( 'الأخبار', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'news' ),
		'add_new_item'       => __( 'أضف خبر جديد' ),
		'edit_item'          => __( 'تعديل خبر' ),
		'new_item'           => __( 'خبر جديد' ),
		'all_items'          => __( 'كل الأخبار' ),
		'view_item'          => __( 'عرض الأخبار' ),
		'search_items'       => __( 'البحث في الأخبار' ),
		'not_found'          => __( 'لا يوجد خبر' ),
		'not_found_in_trash' => __( 'لا يوجد أخبار في سلة المهملات' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'الأخبار'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title', 'thumbnail','editor' ),
		'has_archive'   => true,
		'exclude_from_search'   => false,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false
	);
	register_post_type( 'news', $args );	
}
add_action( 'init', 'news_custom_post' );

function news_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['news'] = array(
		0 => '', 
		1 => sprintf( __('تم التحديث. <a href="%s">عرض الخبر</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث الخبر.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة الخبر، من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض الخبر</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ الخبر.'),
		8 => sprintf( __('تم ارسال الخبر. <a target="_blank" href="%s">عرض الخبر</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ الخبر للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض الخبر</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث الخبر كمسوده. <a target="_blank" href="%s">عرض الخبر</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'news_post_updated_messages', 'news_updated_messages' );

?>