<?php

function services_custom_post() {
	$labels = array(
		'name'               => _x( 'الخدمات', 'post type general name' ),
		'singular_name'      => _x( 'الخدمات', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'services' ),
		'add_new_item'       => __( 'أضف خدمة جديد' ),
		'edit_item'          => __( 'تعديل خدمة' ),
		'new_item'           => __( 'خدمة جديد' ),
		'all_items'          => __( 'كل الخدمات' ),
		'view_item'          => __( 'عرض الخدمات' ),
		'search_items'       => __( 'البحث في الخدمات' ),
		'not_found'          => __( 'لا يوجد خدمة' ),
		'not_found_in_trash' => __( 'لا يوجد خدمات في سلة المهملات' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'الخدمات'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title', 'thumbnail','editor' ),
		'has_archive'   => true,
		'exclude_from_search'   => false,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false
	);
	register_post_type( 'services', $args );	
}
add_action( 'init', 'services_custom_post' );

function services_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['services'] = array(
		0 => '', 
		1 => sprintf( __('تم التحديث. <a href="%s">عرض الخدمة</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث الخدمة.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة الخدمة، من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض الخدمة</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ الخدمة.'),
		8 => sprintf( __('تم ارسال الخدمة. <a target="_blank" href="%s">عرض الخدمة</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ الخدمة للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض الخدمة</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث الخدمة كمسوده. <a target="_blank" href="%s">عرض الخدمة</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'services_post_updated_messages', 'services_updated_messages' );

?>